OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.APPLE.VertexArrayRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEVertexArrayRange :: MonadIO m => m Bool
- gl_APPLE_vertex_array_range :: Bool
- gl_STORAGE_CACHED_APPLE :: GLenum
- gl_STORAGE_CLIENT_APPLE :: GLenum
- gl_STORAGE_SHARED_APPLE :: GLenum
- gl_VERTEX_ARRAY_RANGE_APPLE :: GLenum
- gl_VERTEX_ARRAY_RANGE_LENGTH_APPLE :: GLenum
- gl_VERTEX_ARRAY_RANGE_POINTER_APPLE :: GLenum
- gl_VERTEX_ARRAY_STORAGE_HINT_APPLE :: GLenum
- glFlushVertexArrayRangeAPPLE :: MonadIO m => GLsizei -> Ptr a -> m ()
- glVertexArrayParameteriAPPLE :: MonadIO m => GLenum -> GLint -> m ()
- glVertexArrayRangeAPPLE :: MonadIO m => GLsizei -> Ptr a -> m ()

# Extension Support

glGetAPPLEVertexArrayRange :: MonadIO m => m Bool

Is the APPLE_vertex_array_range extension supported?

gl_APPLE_vertex_array_range :: Bool

Is the APPLE_vertex_array_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEVertexArrayRange` in those cases instead.

# Enums

gl_STORAGE_CACHED_APPLE :: GLenum

gl_STORAGE_CLIENT_APPLE :: GLenum

gl_STORAGE_SHARED_APPLE :: GLenum

gl_VERTEX_ARRAY_RANGE_APPLE :: GLenum

gl_VERTEX_ARRAY_RANGE_LENGTH_APPLE :: GLenum

gl_VERTEX_ARRAY_RANGE_POINTER_APPLE :: GLenum

gl_VERTEX_ARRAY_STORAGE_HINT_APPLE :: GLenum

# Functions

glFlushVertexArrayRangeAPPLE

Arguments

:: MonadIO m |
=> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |

glVertexArrayParameteriAPPLE

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `VertexArrayPNameAPPLE`.
-> GLint | `param`.
-> m () |

glVertexArrayRangeAPPLE

Arguments

:: MonadIO m |
=> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |